Subject: b20: problems in tempnam
From: [email-masked] (Henrik Frystyk Nielsen)

29 Nov 1998 20:10:56 -0800
Message-ID: <3.0.5.32.19981129183755.00b8e640.cygnus.gnu-win32@localhost>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

I found a somewhat recent reference to same/similar problem in tempnam:

	http://www.eGroups.com/list/gnu-win32/8225.html

but that was for b19 - I have certain problems in b20 as well - tempnam
bails out with an argument like this for example:

	const char * dir = "E:\\TEMP/w3c-cache/270";
	tempnam(dir, NULL);

results in

	Program received signal SIGSEGV, Segmentation fault.
	0x61051acc in _size_of_stack_reserve__ ()

It doesn't seem to matter if I change the "\\" to "/". I have a mount of E
and have tried

	const char * dir = "/E/TEMP/w3c-cache/270";
	tempnam(dir, NULL);

with the same result.

Has the problem reported for b19 been fixed or am I seeing something else?

Henrik

PS: I now have almost all of libwww [1] running on cygwin and is very
impressed - I have been dreaming of this for a *long* time!

[1] http://www.w3.org/Library/
	
--
Henrik Frystyk Nielsen,
World Wide Web Consortium
http://www.w3.org/People/Frystyk
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".